<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerArisan extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_notif/arisan');
        $this->set_timezone();
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        redirect('/');
    }
    public function notif($id)
    {
        $kd_rahasia                = $this->encrypt->decode($id);
        $pemecah                   = 'https://kspbinaartha.com';
        if ($kd_rahasia == $pemecah) :
            // Notifikasi Setiap tanggal 7
            $this->_notifBayarArisan7();
            // Notifikasi Setiap tanggal 21
            $this->_notifBayarArisan21();
            // Notifikasi 2 Hari Sebelum Pengundian
            $this->_notifBayarArisanHari1();
            // Notifikasi 1 Hari Sebelum Pengundian
            $this->_notifBayarArisanHari();
        else :
            redirect('/');
        endif;
    }
    // Kelompok Notifikasi
    // Notifikasi Tanggal 7
    private function _notifBayarArisan7()
    {
        $tgl_ini           = date('Y-m-d');
        $tgl_notif         = date('Y') . '-' . date('m') . '-' . '07';
        $data_arisan_heboh = $this->arisan->vd_anggota_arisanheboh();
        $data_arisan_motor = $this->arisan->vd_anggota_arisanmotor();
        $cek_option        = $this->db->get_where('sistem_option')->row_array();
        if ($tgl_ini == $tgl_notif) :
            // Arisan Heboh
            foreach ($data_arisan_heboh as $Arisan_heboh) :

                $pesan = 'SEMANGAT PAGI,
Kpd. *_' . $Arisan_heboh->nm_anggota . ' ( ' . $Arisan_heboh->no_regist . ' )_*,
                            
Sekilas Info kepada seluruh Anggota Arisan Heboh Kelompok ' . $Arisan_heboh->nm_kelompok . ' BINA ARTHA, Pembayaran dapat dilakukan dengan cara :
1. Langsung ke Kantor.
2. Diambil petugas arisan ( Hubungi admin grup atau klik nomor CS )
3. Via Transfer

*Daftar Rekening Pembayaran :*
Nama Bank   : Bank Rakyat Indonesia ( BRI )
No Rekening : 5931-0104-3282536
Atas Nama   : Suwito
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: *' . $cek_option['cs_arisan'] . '';

                $nomor_tujuan = substr($Arisan_heboh->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_heboh->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_heboh->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endforeach;
            // Selesai Arisan Heboh
            // Arisan Motor
            foreach ($data_arisan_motor as $Arisan_motor) :
                $pesan = 'SEMANGAT PAGI
Kpd. ' . $Arisan_motor->nm_anggota . ' ( ' . $Arisan_motor->no_regist . ' )
                
Sekilas Info kepada seluruh Anggota Arisan ' . $Arisan_motor->ket_arisan . ' Kelompok ' . $Arisan_motor->nm_kelompok . ' BINA ARTHA,Pembayaran dapat dilakukan dengan cara :
1. Langsung ke Kantor.
2. Diambil petugas arisan ( Hubungi admin grup atau klik nomor CS )
3. Via Transfer

*Daftar Rekening Pembayaran :*
Nama Bank   : Bank Rakyat Indonesia ( BRI )
No Rekening : 5931-0104-3282536
Atas Nama   : Suwito
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: *' . $cek_option['cs_arisan'] . '';

                $nomor_tujuan = substr($Arisan_motor->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_motor->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_motor->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endforeach;
        // Selesai Arisan Motor
        endif;
    }
    // Notifikasi Tanggal 7
    private function _notifBayarArisan21()
    {
        $tgl_ini           = date('Y-m-d');
        $tgl_notif         = date('Y') . '-' . date('m') . '-' . '21';
        $data_arisan_heboh = $this->arisan->vd_anggota_arisanheboh();
        $data_arisan_motor = $this->arisan->vd_anggota_arisanmotor();
        $cek_option        = $this->db->get_where('sistem_option')->row_array();
        if ($tgl_ini == $tgl_notif) :
            // Arisan Heboh
            foreach ($data_arisan_heboh as $Arisan_heboh) :

                $pesan = 'SEMANGAT PAGI,
Kpd. *_' . $Arisan_heboh->nm_anggota . ' ( ' . $Arisan_heboh->no_regist . ' )_*,
                            
Sekilas Info kepada seluruh Anggota Arisan Heboh Kelompok ' . $Arisan_heboh->nm_kelompok . ' BINA ARTHA, Pembayaran dapat dilakukan dengan cara :
1. Langsung ke Kantor.
2. Diambil petugas arisan ( Hubungi admin grup atau klik nomor CS )
3. Via Transfer

*Daftar Rekening Pembayaran :*
Nama Bank   : Bank Rakyat Indonesia ( BRI )
No Rekening : 5931-0104-3282536
Atas Nama   : Suwito
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: *' . $cek_option['cs_arisan'] . '';

                $nomor_tujuan = substr($Arisan_heboh->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_heboh->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_heboh->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endforeach;
            // Selesai Arisan Heboh
            // Arisan Motor
            foreach ($data_arisan_motor as $Arisan_motor) :
                $pesan = 'SEMANGAT PAGI
Kpd. ' . $Arisan_motor->nm_anggota . ' ( ' . $Arisan_motor->no_regist . ' )
                
Sekilas Info kepada seluruh Anggota Arisan ' . $Arisan_motor->ket_arisan . ' Kelompok ' . $Arisan_motor->nm_kelompok . ' BINA ARTHA,Pembayaran dapat dilakukan dengan cara :
1. Langsung ke Kantor.
2. Diambil petugas arisan ( Hubungi admin grup atau klik nomor CS )
3. Via Transfer

*Daftar Rekening Pembayaran :*
Nama Bank   : Bank Rakyat Indonesia ( BRI )
No Rekening : 5931-0104-3282536
Atas Nama   : Suwito
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: *' . $cek_option['cs_arisan'] . '';

                $nomor_tujuan = substr($Arisan_motor->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_motor->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_motor->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endforeach;
        // Selesai Arisan Motor
        endif;
    }
    // Notifikasi 1 hari Sebelum arisan
    private function _notifBayarArisanHari1()
    {
        $tgl_ini           = date('Y-m-d');
        $tgl_notif         = date('Y') . '-' . date('m') . '-' . '25';
        $data_arisan_heboh = $this->arisan->vd_anggota_arisanheboh();
        $data_arisan_motor = $this->arisan->vd_anggota_arisanmotor();
        $cek_option        = $this->db->get_where('sistem_option')->row_array();
        if ($tgl_ini == $tgl_notif) :
            // Arisan Heboh
            foreach ($data_arisan_heboh as $Arisan_heboh) :

                $pesan = 'SEMANGAT PAGI,
Kpd. ' . $Arisan_heboh->nm_anggota . ' ( ' . $Arisan_heboh->no_regist . ' )
                            
Sekilas Info kepada seluruh Anggota Arisan Heboh Kelompok ' . $Arisan_heboh->nm_kelompok . ' BINA ARTHA,
Pengundian Arisan ke-' . $Arisan_heboh->undian_ke . ' akan dilaksanakan pada :
Hari     : ' . $this->mycustom->hariIndo(date('l', strtotime($Arisan_heboh->tgl_undian))) . '
Tanggal  : ' . date('d', strtotime($Arisan_heboh->tgl_undian)) . ' ' . $this->mycustom->bulanIndo(date('m', strtotime($Arisan_heboh->tgl_undian))) . ' ' . date('Y', strtotime($Arisan_heboh->tgl_undian)) . ' 
Waktu    : 16.00 WIB 
Tempat   : Kantor Arisan Bina Artha
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: *' . $cek_option['cs_arisan'] . '';

                $nomor_tujuan = substr($Arisan_heboh->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_heboh->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_heboh->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endforeach;

            // Arisan Motor
            foreach ($data_arisan_motor as $Arisan_motor) :
                $pesan = 'SEMANGAT PAGI
Kpd. ' . $Arisan_motor->nm_anggota . ' ( ' . $Arisan_motor->no_regist . ' )
                
Sekilas Info kepada seluruh Anggota Arisan ' . $Arisan_motor->ket_arisan . ' Kelompok ' . $Arisan_motor->nm_kelompok . ' BINA ARTHA,
Pengundian ke-' . $Arisan_motor->undian_ke . ' & Lelang ke-' . $Arisan_motor->lelang_ke . ' akan dilaksanakan pada :
Hari     : ' . $this->mycustom->hariIndo(date('l', strtotime($Arisan_motor->tgl_undian))) . '
Tanggal  : ' . date('d', strtotime($Arisan_motor->tgl_undian)) . ' ' . $this->mycustom->bulanIndo(date('m', strtotime($Arisan_motor->tgl_undian))) . ' ' . date('Y', strtotime($Arisan_motor->tgl_undian)) . ' 
Waktu    : 16.00 WIB 
Tempat   : Kantor Arisan Bina Artha
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: ' . $cek_option['cs_arisan'] . '*';

                $nomor_tujuan = substr($Arisan_motor->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_motor->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_motor->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endforeach;
        endif;
    }
    // Notifikasi 1 hari Sebelum arisan
    private function _notifBayarArisanHari()
    {
        $tgl_ini           = date('Y-m-d');
        $data_arisan_heboh = $this->arisan->vd_anggota_arisanheboh();
        $data_arisan_motor = $this->arisan->vd_anggota_arisanmotor();
        $cek_option        = $this->db->get_where('sistem_option')->row_array();
        // Arisan Heboh
        foreach ($data_arisan_heboh as $Arisan_heboh) :
            if ($tgl_ini == $Arisan_heboh->tgl_undian) :
                $pesan = 'SEMANGAT PAGI,
Kpd. ' . $Arisan_heboh->nm_anggota . ' ( ' . $Arisan_heboh->no_regist . ' )
                            
Sekilas Info kepada seluruh Anggota Arisan Heboh Kelompok ' . $Arisan_heboh->nm_kelompok . ' BINA ARTHA,
Pengundian Arisan ke-' . $Arisan_heboh->undian_ke . ' akan dilaksanakan pada :
Hari     : ' . $this->mycustom->hariIndo(date('l', strtotime($Arisan_heboh->tgl_undian))) . '
Tanggal  : ' . date('d', strtotime($Arisan_heboh->tgl_undian)) . ' ' . $this->mycustom->bulanIndo(date('m', strtotime($Arisan_heboh->tgl_undian))) . ' ' . date('Y', strtotime($Arisan_heboh->tgl_undian)) . ' 
Waktu    : 16.00 WIB 
Tempat   : Kantor Arisan Bina Artha
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: *' . $cek_option['cs_arisan'] . '';

                $nomor_tujuan = substr($Arisan_heboh->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_heboh->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_heboh->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endif;
        endforeach;

        // Arisan Motor
        foreach ($data_arisan_motor as $Arisan_motor) :
            if ($tgl_ini == $Arisan_motor->tgl_undian) :
                $pesan = 'SEMANGAT PAGI
Kpd. ' . $Arisan_motor->nm_anggota . ' ( ' . $Arisan_motor->no_regist . ' )
                
Sekilas Info kepada seluruh Anggota Arisan ' . $Arisan_motor->ket_arisan . ' Kelompok ' . $Arisan_motor->nm_kelompok . ' BINA ARTHA,
Pengundian ke-' . $Arisan_motor->undian_ke . ' & Lelang ke-' . $Arisan_motor->lelang_ke . ' akan dilaksanakan pada :
Hari     : ' . $this->mycustom->hariIndo(date('l', strtotime($Arisan_motor->tgl_undian))) . '
Tanggal  : ' . date('d', strtotime($Arisan_motor->tgl_undian)) . ' ' . $this->mycustom->bulanIndo(date('m', strtotime($Arisan_motor->tgl_undian))) . ' ' . date('Y', strtotime($Arisan_motor->tgl_undian)) . ' 
Waktu    : 16.00 WIB 
Tempat   : Kantor Arisan Bina Artha
                
Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.
                
TERIMA KASIH.

*Info Hub: ' . $cek_option['cs_arisan'] . '*';

                $nomor_tujuan = substr($Arisan_motor->no_hp, 0, 1);
                if ($nomor_tujuan == '0') :
                    $nomor_hp = '62' . substr($Arisan_motor->no_hp, 1, 20);
                else :
                    $nomor_hp = $Arisan_motor->no_hp;
                endif;

                $body = array(
                    "api_key" => $cek_option['api_arisan'],
                    "receiver" => $nomor_hp,
                    "data" => array(
                        "message" => $pesan
                    )
                );

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => $cek_option['web_api_pesan'],
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => json_encode($body),
                    CURLOPT_HTTPHEADER => [
                        "Accept: */*",
                        "Content-Type: application/json",
                    ],
                ]);
                curl_exec($curl);
                curl_error($curl);
                curl_close($curl);
            endif;
        endforeach;
    }
}

/* End of file ControllerArisan.php and path \application\controllers\notifikasi\ControllerArisan.php */